{
  "meta": {
    "deprecated": false
  },
  "group": {
    "title": "Available methods",
    "anchor": "available-methods"
  },
  "object": {
    "anchor": "sendpoll",
    "name": "sendPoll",
    "description": "Use this method to send a native poll. On success, the sent Message is returned.",
    "html_description": "<p>Use this method to send a native poll. On success, the sent <a href=\"#message\">Message</a> is returned.</p>",
    "rst_description": "Use this method to send a native poll. On success, the sent :class:`aiogram.types.message.Message` is returned.",
    "annotations": [
      {
        "type": "Integer or String",
        "required": true,
        "description": "Unique identifier for the target chat or username of the target channel (in the format @channelusername)",
        "html_description": "<td>Unique identifier for the target chat or username of the target channel (in the format <code>@channelusername</code>)</td>",
        "rst_description": "Unique identifier for the target chat or username of the target channel (in the format :code:`@channelusername`)\n",
        "name": "chat_id"
      },
      {
        "type": "Integer",
        "required": false,
        "description": "Unique identifier for the target message thread (topic) of the forum; for forum supergroups only",
        "html_description": "<td>Unique identifier for the target message thread (topic) of the forum; for forum supergroups only</td>",
        "rst_description": "Unique identifier for the target message thread (topic) of the forum; for forum supergroups only\n",
        "name": "message_thread_id"
      },
      {
        "type": "String",
        "required": true,
        "description": "Poll question, 1-300 characters",
        "html_description": "<td>Poll question, 1-300 characters</td>",
        "rst_description": "Poll question, 1-300 characters\n",
        "name": "question"
      },
      {
        "type": "Array of String",
        "required": true,
        "description": "A JSON-serialized list of answer options, 2-10 strings 1-100 characters each",
        "html_description": "<td>A JSON-serialized list of answer options, 2-10 strings 1-100 characters each</td>",
        "rst_description": "A JSON-serialized list of answer options, 2-10 strings 1-100 characters each\n",
        "name": "options"
      },
      {
        "type": "Boolean",
        "required": false,
        "description": "True, if the poll needs to be anonymous, defaults to True",
        "html_description": "<td><em>True</em>, if the poll needs to be anonymous, defaults to <em>True</em></td>",
        "rst_description": ":code:`True`, if the poll needs to be anonymous, defaults to :code:`True`\n",
        "name": "is_anonymous"
      },
      {
        "type": "String",
        "required": false,
        "description": "Poll type, 'quiz' or 'regular', defaults to 'regular'",
        "html_description": "<td>Poll type, &#8220;quiz&#8221; or &#8220;regular&#8221;, defaults to &#8220;regular&#8221;</td>",
        "rst_description": "Poll type, 'quiz' or 'regular', defaults to 'regular'\n",
        "name": "type"
      },
      {
        "type": "Boolean",
        "required": false,
        "description": "True, if the poll allows multiple answers, ignored for polls in quiz mode, defaults to False",
        "html_description": "<td><em>True</em>, if the poll allows multiple answers, ignored for polls in quiz mode, defaults to <em>False</em></td>",
        "rst_description": ":code:`True`, if the poll allows multiple answers, ignored for polls in quiz mode, defaults to :code:`False`\n",
        "name": "allows_multiple_answers"
      },
      {
        "type": "Integer",
        "required": false,
        "description": "0-based identifier of the correct answer option, required for polls in quiz mode",
        "html_description": "<td>0-based identifier of the correct answer option, required for polls in quiz mode</td>",
        "rst_description": "0-based identifier of the correct answer option, required for polls in quiz mode\n",
        "name": "correct_option_id"
      },
      {
        "type": "String",
        "required": false,
        "description": "Text that is shown when a user chooses an incorrect answer or taps on the lamp icon in a quiz-style poll, 0-200 characters with at most 2 line feeds after entities parsing",
        "html_description": "<td>Text that is shown when a user chooses an incorrect answer or taps on the lamp icon in a quiz-style poll, 0-200 characters with at most 2 line feeds after entities parsing</td>",
        "rst_description": "Text that is shown when a user chooses an incorrect answer or taps on the lamp icon in a quiz-style poll, 0-200 characters with at most 2 line feeds after entities parsing\n",
        "name": "explanation"
      },
      {
        "type": "String",
        "required": false,
        "description": "Mode for parsing entities in the explanation. See formatting options for more details.",
        "html_description": "<td>Mode for parsing entities in the explanation. See <a href=\"#formatting-options\">formatting options</a> for more details.</td>",
        "rst_description": "Mode for parsing entities in the explanation. See `formatting options <https://core.telegram.org/bots/api#formatting-options>`_ for more details.\n",
        "name": "explanation_parse_mode"
      },
      {
        "type": "Array of MessageEntity",
        "required": false,
        "description": "A JSON-serialized list of special entities that appear in the poll explanation, which can be specified instead of parse_mode",
        "html_description": "<td>A JSON-serialized list of special entities that appear in the poll explanation, which can be specified instead of <em>parse_mode</em></td>",
        "rst_description": "A JSON-serialized list of special entities that appear in the poll explanation, which can be specified instead of *parse_mode*\n",
        "name": "explanation_entities"
      },
      {
        "type": "Integer",
        "required": false,
        "description": "Amount of time in seconds the poll will be active after creation, 5-600. Can't be used together with close_date.",
        "html_description": "<td>Amount of time in seconds the poll will be active after creation, 5-600. Can't be used together with <em>close_date</em>.</td>",
        "rst_description": "Amount of time in seconds the poll will be active after creation, 5-600. Can't be used together with *close_date*.\n",
        "name": "open_period"
      },
      {
        "type": "Integer",
        "required": false,
        "description": "Point in time (Unix timestamp) when the poll will be automatically closed. Must be at least 5 and no more than 600 seconds in the future. Can't be used together with open_period.",
        "html_description": "<td>Point in time (Unix timestamp) when the poll will be automatically closed. Must be at least 5 and no more than 600 seconds in the future. Can't be used together with <em>open_period</em>.</td>",
        "rst_description": "Point in time (Unix timestamp) when the poll will be automatically closed. Must be at least 5 and no more than 600 seconds in the future. Can't be used together with *open_period*.\n",
        "name": "close_date"
      },
      {
        "type": "Boolean",
        "required": false,
        "description": "Pass True if the poll needs to be immediately closed. This can be useful for poll preview.",
        "html_description": "<td>Pass <em>True</em> if the poll needs to be immediately closed. This can be useful for poll preview.</td>",
        "rst_description": "Pass :code:`True` if the poll needs to be immediately closed. This can be useful for poll preview.\n",
        "name": "is_closed"
      },
      {
        "type": "Boolean",
        "required": false,
        "description": "Sends the message silently. Users will receive a notification with no sound.",
        "html_description": "<td>Sends the message <a href=\"https://telegram.org/blog/channels-2-0#silent-messages\">silently</a>. Users will receive a notification with no sound.</td>",
        "rst_description": "Sends the message `silently <https://telegram.org/blog/channels-2-0#silent-messages>`_. Users will receive a notification with no sound.\n",
        "name": "disable_notification"
      },
      {
        "type": "Boolean",
        "required": false,
        "description": "Protects the contents of the sent message from forwarding and saving",
        "html_description": "<td>Protects the contents of the sent message from forwarding and saving</td>",
        "rst_description": "Protects the contents of the sent message from forwarding and saving\n",
        "name": "protect_content"
      },
      {
        "type": "Integer",
        "required": false,
        "description": "If the message is a reply, ID of the original message",
        "html_description": "<td>If the message is a reply, ID of the original message</td>",
        "rst_description": "If the message is a reply, ID of the original message\n",
        "name": "reply_to_message_id"
      },
      {
        "type": "Boolean",
        "required": false,
        "description": "Pass True if the message should be sent even if the specified replied-to message is not found",
        "html_description": "<td>Pass <em>True</em> if the message should be sent even if the specified replied-to message is not found</td>",
        "rst_description": "Pass :code:`True` if the message should be sent even if the specified replied-to message is not found\n",
        "name": "allow_sending_without_reply"
      },
      {
        "type": "InlineKeyboardMarkup or ReplyKeyboardMarkup or ReplyKeyboardRemove or ForceReply",
        "required": false,
        "description": "Additional interface options. A JSON-serialized object for an inline keyboard, custom reply keyboard, instructions to remove reply keyboard or to force a reply from the user.",
        "html_description": "<td>Additional interface options. A JSON-serialized object for an <a href=\"/bots/features#inline-keyboards\">inline keyboard</a>, <a href=\"/bots/features#keyboards\">custom reply keyboard</a>, instructions to remove reply keyboard or to force a reply from the user.</td>",
        "rst_description": "Additional interface options. A JSON-serialized object for an `inline keyboard <https://core.telegram.org/bots/features#inline-keyboards>`_, `custom reply keyboard <https://core.telegram.org/bots/features#keyboards>`_, instructions to remove reply keyboard or to force a reply from the user.\n",
        "name": "reply_markup"
      }
    ],
    "category": "methods"
  }
}
